- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinOneMessage Class Reference

Class for one massaged message. More...

`#include <CoinMessageHandler.hpp>`

List of all members.

## Public Member Functions
Constructors etc
| CoinOneMessage ()
| Default constructor.
| CoinOneMessage (int externalNumber, char detail, const char *message)
| Normal constructor.
| ~CoinOneMessage ()
| Destructor.
| CoinOneMessage (const CoinOneMessage &)
| The copy constructor.
CoinOneMessage & | operator= (const CoinOneMessage &)
| assignment operator.
Useful stuff
void | replaceMessage (const char *message)
| Replace message text (e.g., text in a different language).
Get and set methods
int | externalNumber () const
| Get message ID number.
void | setExternalNumber (int number)
| Set message ID number.
char | severity () const
| Severity.
void | setDetail (int level)
| Set detail level.
int | detail () const
| Get detail level.
char * | message () const
| Return the message text.
## Public Attributes
member data
int | externalNumber_
| number to print out (also determines severity)
char | detail_
| Will only print if detail matches.
char | severity_
| Severity.
char | message_ [400]
| Messages (in correct language) (not all 400 may exist).

## Detailed Description

Class for one massaged message.

A message consists of a text string with formatting codes (message_), an integer identifier (externalNumber_) which also determines the severity level (severity_) of the message, and a detail (logging) level (detail_).

CoinOneMessage is just a container to hold this information. The interpretation is set by CoinMessageHandler, which see.

Definition at line 56 of file CoinMessageHandler.hpp.

## Constructor & Destructor Documentation

CoinOneMessage::CoinOneMessage | ( |  | ) |

Default constructor.

CoinOneMessage::CoinOneMessage | ( | int | externalNumber,
|  | char | detail,
|  | const char * | message |
| ) |  |  |

Normal constructor.

CoinOneMessage::~CoinOneMessage | ( |  | ) |

Destructor.

CoinOneMessage::CoinOneMessage | ( | const CoinOneMessage & |  | ) |

The copy constructor.

## Member Function Documentation

CoinOneMessage& CoinOneMessage::operator= | ( | const CoinOneMessage & |  | ) |

assignment operator.

void CoinOneMessage::replaceMessage | ( | const char * | message | ) |

Replace message text (e.g., text in a different language).

int CoinOneMessage::externalNumber | ( |  | ) | const`[inline]`

Get message ID number.

Definition at line 83 of file CoinMessageHandler.hpp.

References externalNumber_.

void CoinOneMessage::setExternalNumber | ( | int | number | ) | `[inline]`

Set message ID number.

In the default CoinMessageHandler, this number is printed in the message prefix and is used to determine the message severity level.

Definition at line 90 of file CoinMessageHandler.hpp.

References externalNumber_.

char CoinOneMessage::severity | ( |  | ) | const`[inline]`

Severity.

Definition at line 93 of file CoinMessageHandler.hpp.

References severity_.

void CoinOneMessage::setDetail | ( | int | level | ) | `[inline]`

Set detail level.

Definition at line 96 of file CoinMessageHandler.hpp.

References detail_.

int CoinOneMessage::detail | ( |  | ) | const`[inline]`

Get detail level.

Definition at line 99 of file CoinMessageHandler.hpp.

References detail_.

Referenced by CoinMessageHandler::detail().

char* CoinOneMessage::message | ( |  | ) | const`[inline]`

Return the message text.

Definition at line 102 of file CoinMessageHandler.hpp.

References message_.

## Member Data Documentation

int CoinOneMessage::externalNumber_

number to print out (also determines severity)

Definition at line 109 of file CoinMessageHandler.hpp.

Referenced by externalNumber(), and setExternalNumber().

char CoinOneMessage::detail_

Will only print if detail matches.

Definition at line 111 of file CoinMessageHandler.hpp.

Referenced by detail(), and setDetail().

char CoinOneMessage::severity_

Severity.

Definition at line 113 of file CoinMessageHandler.hpp.

Referenced by severity().

char CoinOneMessage::message_[400]`[mutable]`

Messages (in correct language) (not all 400 may exist).

Definition at line 115 of file CoinMessageHandler.hpp.

Referenced by message().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.2.1/CoinUtils/src/CoinMessageHandler.hpp